package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class SatuanWaktu
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "SatuanWaktu_M")
public class SatuanWaktu extends BaseMaster {
	@NotNull(message = "Kd Satuan Waktu tidak boleh kosong")
	@Column(name = "KdSatuanWaktu", nullable = false)
	@Caption(value = "Kode Satuan Waktu")
	private Byte kdSatuanWaktu;

	public void setKdSatuanWaktu(Byte kdSatuanWaktu) {
		this.kdSatuanWaktu = kdSatuanWaktu;
	}

	public Byte getKdSatuanWaktu() {
		return this.kdSatuanWaktu;
	}

	@NotNull(message = "QSatuan Waktu tidak boleh kosong")
	@Column(name = "QSatuanWaktu", nullable = false)
	@Caption(value = "QSatuan Waktu")
	private Byte qSatuanWaktu;

	public void setqSatuanWaktu(Byte qSatuanWaktu) {
		this.qSatuanWaktu = qSatuanWaktu;
	}

	public Byte getqSatuanWaktu() {
		return this.qSatuanWaktu;
	}

	@NotNull(message = "Satuan Waktu tidak boleh kosong")
	@Column(name = "SatuanWaktu", nullable = false, length = 30)
	@Caption(value = "Satuan Waktu")
	private String satuanWaktu;

	public void setSatuanWaktu(String satuanWaktu) {
		this.satuanWaktu = satuanWaktu;
	}

	public String getSatuanWaktu() {
		return this.satuanWaktu;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.satuanwaktu_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.satuanwaktu_m_id_seq", sequenceName = "public.satuanwaktu_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}